com.independentsoft.exchange

## Class ReminderItemAction

- java.lang.Object
- - com.independentsoft.exchange.ReminderItemAction

-     public class ReminderItemAction
      extends java.lang.Object

  The Class ReminderItemAction.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReminderItemAction()` Instantiates a new reminder item action.
    `ReminderItemAction(ItemId itemId, ReminderActionType type)` Instantiates a new reminder item action.
    `ReminderItemAction(ItemId itemId, ReminderActionType type, java.util.Date newReminderTime)` Instantiates a new reminder item action.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ItemId` | `getItemId()` Gets the item id.
    `java.util.Date` | `getNewReminderTime()` Gets the new reminder time.
    `ReminderActionType` | `getType()` Gets the type.
    `void` | `setItemId(ItemId itemId)` Sets the item id.
    `void` | `setNewReminderTime(java.util.Date newReminderTime)` Sets the new reminder time.
    `void` | `setType(ReminderActionType type)` Sets the type.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReminderItemAction

          public ReminderItemAction()

      Instantiates a new reminder item action.

    - #### ReminderItemAction

          public ReminderItemAction(ItemId itemId,
                                    ReminderActionType type)

      Instantiates a new reminder item action.
      Parameters:
        `itemId` - the item id
        `type` - the type

    - #### ReminderItemAction

          public ReminderItemAction(ItemId itemId,
                                    ReminderActionType type,
                                    java.util.Date newReminderTime)

      Instantiates a new reminder item action.
      Parameters:
        `itemId` - the item id
        `type` - the type
        `newReminderTime` - the new reminder time

  - ### Method Detail

    - #### getType

          public ReminderActionType getType()

      Gets the type.
      Returns:
        the type

    - #### setType

          public void setType(ReminderActionType type)

      Sets the type.
      Parameters:
        `type` - the new type

    - #### getItemId

          public ItemId getItemId()

      Gets the item id.
      Returns:
        the item id

    - #### setItemId

          public void setItemId(ItemId itemId)

      Sets the item id.
      Parameters:
        `itemId` - the new item id

    - #### getNewReminderTime

          public java.util.Date getNewReminderTime()

      Gets the new reminder time.
      Returns:
        the new reminder time

    - #### setNewReminderTime

          public void setNewReminderTime(java.util.Date newReminderTime)

      Sets the new reminder time.
      Parameters:
        `newReminderTime` - the new new reminder time